<?php

namespace domain\Producer\ProducerPriceRange;

use domain\_\AbstractModule;

class ProducerPriceRangeModule extends AbstractModule
{
    public function getServices(): array
    {
        return [
            ProducerPriceRangeDefinition::class,
            ProducerPriceRangeRepository::class,
            ProducerPriceRangeBuilder::class,
        ];
    }

    public function getDefinition(): ProducerPriceRangeDefinition
    {
        return ProducerPriceRangeDefinition::getInstance();
    }

    public function getRepository(): ProducerPriceRangeRepository
    {
        return ProducerPriceRangeRepository::getInstance();
    }

    public function getBuilder(): ProducerPriceRangeBuilder
    {
        return ProducerPriceRangeBuilder::getInstance();
    }
}